ChangeSet 1.1206, 2003/06/18 16:30:08-07:00, baldrick@wanadoo.fr

[PATCH] USB speedtouch: move MOD_INC_USE_COUNT


 drivers/usb/speedtouch.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/speedtouch.c b/drivers/usb/speedtouch.c
--- a/drivers/usb/speedtouch.c	Wed Jun 18 17:36:29 2003
+++ b/drivers/usb/speedtouch.c	Wed Jun 18 17:36:29 2003
@@ -938,15 +938,19 @@
 		return -EAGAIN;
 	}
 
+	MOD_INC_USE_COUNT;
+
 	down (&instance->serialize); /* vs self, udsl_atm_close */
 
 	if (udsl_find_vcc (instance, vpi, vci)) {
 		up (&instance->serialize);
+		MOD_DEC_USE_COUNT;
 		return -EADDRINUSE;
 	}
 
 	if (!(new = kmalloc (sizeof (struct udsl_vcc_data), GFP_KERNEL))) {
 		up (&instance->serialize);
+		MOD_DEC_USE_COUNT;
 		return -ENOMEM;
 	}
 
@@ -975,8 +979,6 @@
 	udsl_fire_receivers (instance);
 
 	dbg ("udsl_atm_open successful");
-
-	MOD_INC_USE_COUNT;
 
 	return 0;
 }
